DH_GNUSTEP(1)

NAME
dh_gnustep - moves files in the GNUstep hierarchy to FHS-compliant locations

SYNOPSIS
dh_gnustep [debhelper options]

DESCRIPTION
dh_gnustep is a program based on debhelper that is responsible for doing GNUstep-specific modifications, such as moving files in the GNUstop hierarchy within the System domain, rooted at /usr/lib/GNUstep/System, to Filesystem Hierarchy Standard (FHS)-compliant locations.

dh_gnustep makes the following changes:

GNUstep dependencies:
    Adds any extra dependencies needed for GNUstep. Currently, the only dependency added is to ensure that the package uses the same filesystem layout as the other GNUstep packages installed on the system.

arch-indep directories:
    Moves architecture-independent directories to /usr/share/GNUstep.

library resources:
    Moves library resources to /usr/share/GNUstep/Libraries.

frameworks:
    Moves framework headers to /usr/include/GNUstep/Frameworks, and framework resources to /usr/share/GNUstep/Frameworks.

OPTIONS
dh_gnustep accepts the common debhelper options.

If the DEB_GNUSTEP_NO_MOVE environment variable is set to a non-empty, non-zero value, then dh_gnustep exits without doing anything.

BUGS
Should implement -X option.

Should do something with resources in .app bundles.

Should remove library_paths.openapp and stamp.make files.

Doesn't really do the right thing with info files (should call install-info).

Should do something with Java classes -- make a jar file and move from Library/Libraries/Java to /usr/share/java -- to comply with Java policy.

CONFORMS TO
Debian policy, version 3.6.2

FHS, version 2.3

SEE ALSO
debhelper(7)

This program is not part of debhelper.

AUTHOR
Hubert Chan <uhoreg@debian.org>